Announcement

Collapse
No announcement yet.

Upgraded to php 5.2, forum works, but not admincp

Collapse
X
  • Filter
  • Time
  • Show
Clear All
new posts

  • Upgraded to php 5.2, forum works, but not admincp

    After upgrading to php5.2 just now the forums seems to work fine, but when I click on the admincp link I get:


    Warning: array_merge() [function.array-merge]: Argument #1 is not an array in /includes/functions.php(1259) : eval()'d code on line 3


    Any suggestions? Sorry if this was discussed before, I did a search and didn't see anything...

    Thanks in advance...


    matt

  • #2
    Pretty sure you're getting an error from a plugin that wasnt designed with php 5 in mind. Try disabling the plugin system and see if you get the same error.

    Comment


    • #3
      Thanks. Will do. Is there a way to do that without getting in the admincp? Are you saying the whole plugin system? I didn't know you could do that. Or should I revert to php4 and go in and turn them off one by one?

      Comment


      • #4
        There is.
        Originally posted by Steve Machol
        If you cannot log into the Admin CP then to disable the plugin system, edit config.php and add this line right under <?php

        define('DISABLE_HOOKS', true);

        This will disable all hooks and allow you to log in properly with no hooks running.

        http://www.vbulletin.com/docs/html/disable_plugins

        Comment


        • #5
          You rock Kiwi.

          THanks. I'll do that when there are a few less people on the board.

          Comment


          • #6
            Before I do this I was curious what the procedure would be to figure out which plugin is not compatible?

            For instance, after I disable with the config and login, can I enable them one at a time?



            TIA

            Comment


            • #7
              Ok. Disabling the hooks was the way to go.

              I removed a bunch of plugins... then I took the disable out of the config.

              Now I get the same error again.

              Is there a trick here?

              Or do I disable config ... go into admincp - disable all plugins... removed disable from config... then go back into admincp and enable one at a time repeat config procedure and go down the list until I find it?

              Comment


              • #8
                Well I went with my method above.

                It was Welcome Headers 4.0.3.

                FYI.

                Thanks for you help everybody!

                Comment

                widgetinstance 262 (Related Topics) skipped due to lack of content & hide_module_if_empty option.
                Working...
                X